Agencies and brands API is an externally available HTTP API for ad agencies and brands to programmatically manage their deals and spending with Google Ad Manager publishers.
- REST Resource: v1.agencies.reports
- REST Resource: v1.agencies.reports.operations
- REST Resource: v1.agencies.reports.results
Service: agenciesandbrands.googleapis.com
To call this service, we recommend that you use the Google-provided client libraries. If your application needs to use your own libraries to call this service, use the following information when you make the API requests.
Discovery document
A Discovery Document is a machine-readable specification for describing and consuming REST APIs. It is used to build client libraries, IDE plugins, and other tools that interact with Google APIs. One service may provide multiple discovery documents. This service provides the following discovery document:
Service endpoint
A service endpoint is a base URL that specifies the network address of an API service. One service might have multiple service endpoints. This service has the following service endpoint and all URIs below are relative to this service endpoint:
https://agenciesandbrands.googleapis.com
REST Resource: v1.agencies.reports
| Methods | |
|---|---|
create |
POST /v1/{parent=agencies/*}/reports Creates a Report object. |
delete |
DELETE /v1/{name=agencies/*/reports/*} Deletes a Report object. |
get |
GET /v1/{name=agencies/*/reports/*} Retrieves a Report object. |
list |
GET /v1/{parent=agencies/*}/reports Lists Report objects. |
patch |
PATCH /v1/{report.name=agencies/*/reports/*} Updates a Report object. |
run |
POST /v1/{name=agencies/*/reports/*}:run Initiates the execution of an existing report asynchronously. |
REST Resource: v1.agencies.reports.operations
| Methods | |
|---|---|
get |
GET /v1/{name=agencies/*/reports/*/operations/*} Gets the latest state of a long-running operation. |
REST Resource: v1.agencies.reports.results
| Methods | |
|---|---|
fetchRows |
GET /v1/{name=agencies/*/reports/*/results/*}:fetchRows Returns the result rows from a completed report. |